import React from 'react';
import { IconButton } from '../button/IconButton';
import styles from './itemActions.css';

type ItemActionsProps = {
  removeItem: () => void;
};

function ItemActions (props: ItemActionsProps) {
  const {
    removeItem
  } = props;

  return (
    <section className={styles.itemActions}>
      <IconButton icon="trash" buttonClassName={styles.button} onClick={removeItem} />
    </section>
  );
}

export {
  ItemActions
};
